Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class InterceptorContextImpl

    java.lang.Object
      org.apache.ode.bpel.engine.InterceptorContextImpl

All Implemented Interfaces:
  MessageExchangeInterceptor.InterceptorContext

    public class InterceptorContextImpl

extends java.lang.Object
implements MessageExchangeInterceptor.InterceptorContext

Implementation of the `MessageExchangeInterceptor.InterceptorContext` interface.

Constructor Summary
`InterceptorContextImpl(BpelDAOConnection connection, ProcessDAO processDAO, ProcessConf pconf, BpelEngine bpelEngine, BpelProcess bpelProcess)`

Method Summary
`BpelEngine` | `getBpelEngine()`
`BpelProcess` | `getBpelProcess()`
`BpelDAOConnection` | `getConnection()`
`ProcessConf` | `getProcessConf()`
`ProcessDAO` | `getProcessDAO()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorContextImpl

    public InterceptorContextImpl(BpelDAOConnection connection,
                                  ProcessDAO processDAO,
                                  ProcessConf pconf,
                                  BpelEngine bpelEngine,
                                  BpelProcess bpelProcess)

Method Detail

### getConnection

    public BpelDAOConnection getConnection()

  Specified by:
    `getConnection` in interface `MessageExchangeInterceptor.InterceptorContext`

### getProcessDAO

    public ProcessDAO getProcessDAO()

  Specified by:
    `getProcessDAO` in interface `MessageExchangeInterceptor.InterceptorContext`

### getProcessConf

    public ProcessConf getProcessConf()

  Specified by:
    `getProcessConf` in interface `MessageExchangeInterceptor.InterceptorContext`

### getBpelEngine

    public BpelEngine getBpelEngine()

  Specified by:
    `getBpelEngine` in interface `MessageExchangeInterceptor.InterceptorContext`

### getBpelProcess

    public BpelProcess getBpelProcess()

  Specified by:
    `getBpelProcess` in interface `MessageExchangeInterceptor.InterceptorContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD